Subject: Re: [PATCH 2.6.12-rc2] Freescale 8272ADS PCI bridge support to thestock linux-2.5 (updated)

From: Vitaly Bordug <[email-masked]>
Date: Thu, 21 Apr 2005 21:32:01 +0400

Rune Torgersen wrote:

>	From: Vitaly Bordug [mailto:[email-masked]] 
>	Sent: Thursday, April 21, 2005 10:29
>
>  
>
>>	This is all right. The only thing I still don't understand - 
>>how this stuff work without PCI IRQ (don't know much about 8266
>>    
>>
>though). 
>  
>
>>On my 8272 only one IRQ is produced and it should be demux'ed in order 
>>for PCI devices to work. I agree that the siumcr stuff would better
>>    
>>
>reside 
>  
>
>>in the firmware, and I have submitted related patch to the u-boot-users
>>    
>>
>
>  
>
>>list, but I have no idea whether it would be accepted or not
>>    
>>
>(Wolfgang?).
>
>Ah.. That. I have that in a board specific file. Looks excactly like the
>implementation you have (for the 8266 port) For our internal board, it
>is quite different, so it should probably be in a board specific file
>(eg platforms/board_pci_setup.h)
>	
>  
>
>>	The main point I actually dislike in the current m8260
>>    
>>
>implementation 
>  
>
>>is that it adds defines for the PCI memory map while it exists 
>>(and already included) in platforms/pq2ads.h. The memory maps are 
>>nearly the same so we should decide which one will remain.	
>>    
>>
>
>I think I like the _LOWER/_UPPER/OFFSET variant. And it need to be
>possible to override it in board-files.
>I'll work in getting the 8266 PCI support I have to be integrated into
>the PQ2[F]ADS board support.
>	
>  
>
Great. Than I'll replace PCI_MSTR_* with _LOWER/_UPPER/OFFSET stuff in 
the board-specific file so that it override m8260_pci.h defines.  
Another issue - I want to keep the setup of the second outbound PCI 
window (pcimask1/pcibr1) - since continuous mem/mmio/io is not flexible 
enough - and to keep potarx/pobarx/pocmrx assignments as they are in 
pq_... version (changing of course all relative constants to _LOWER/... 
stuff).

Maybe the m8260.[c,h] should be renamed since this suites not only 826x 
series?

Comments/objections? 

-- 
Sincerely, 
Vitaly